 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    data: {
        loading     : false, // 加载
        nameValue   : '',
        sexArray: [
            {
              id: 0,
              name: '男'
            },
            {
              id: 1,
              name: '女'
            },
        ],
        sexId: '',
        birthday: '请选择出生年月日'
    },

    onLoad(options) {
    },

    onShow() {},

    /*
        性别选择
    */
    radioChange (e) {
        const sex = this.data.sexArray
        for (let i = 0, len = sex.length; i < len; ++i) {
          sex[i].checked = sex[i].id == e.detail.value
        }
        this.setData({
            sexArray: sex,
            sexId   : e.detail.value
        })
    },

    /*
        出生年月日
    */
    bindDateChange(e) {
        this.setData({
            birthday: e.detail.value
        })
    },

    /*
        姓名截取
    */
    bindinput(e) {
        this.setData({
            nameValue: e.detail.value.substr(0,5)
        })
    },

    /*
        提交信息
    */
    issueForm() {
        let data = {
            name        : this.data.nameValue,
            sex         : this.data.sexId,
            birthday    : this.data.birthday
        }
        wx.$api.auth.userAdd(data).then(res => {
            this.setData({
                disabled: true
            })
            wx.navigateBack()
        }).catch(err => {})
    }
})
